import { Base, Nullable$1, Type } from "igniteui-angular-core";
import { ST_StyleReferenceModifierEnum } from "./ST_StyleReferenceModifierEnum";
/**
 * @hidden
 */
export declare class ST_StyleReferenceModifier extends Base {
    static $t: Type;
    private c;
    private e;
    d: Nullable$1<ST_StyleReferenceModifierEnum>;
    h: string;
    static a(a: string): ST_StyleReferenceModifier;
    f(): string;
    static b(a: string): ST_StyleReferenceModifier;
    g(): string;
}
